Puppet Enterprise访问权限漏洞

CVE编号

CVE-2012-5158

利用情况

暂无

补丁情况

N/A

披露时间

2014-03-15
漏洞描述
Puppet是帮助系统管理员管理基础架构的IT自动化软件。

Puppet Enterprise存在访问权限漏洞。当更改会话密钥时,程序未能正确的使会话失效,远程攻击者可以利用漏洞保留访问权限。
解决建议
用户可参考如下供应商提供的安全公告获得补丁信息:
http://puppetlabs.com/security/cve/cve-2012-5158
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 puppet puppet_enterprise * Up to
(including)
2.6.0
运行在以下环境
应用 puppet puppet_enterprise 2.0.0 -
运行在以下环境
应用 puppet puppet_enterprise 2.5.1 -
运行在以下环境
应用 puppet puppet_enterprise 2.5.2 -
运行在以下环境
应用 puppetlabs puppet 2.5.0 -
CVSS3评分
4.0
  • 攻击路径
    网络
  • 攻击复杂度
  • 权限要求
    一次
  • 影响范围
    N/A
  • 用户交互
  • 可用性
  • 保密性
  • 完整性
    部分地
CWE-ID 漏洞类型
CWE-287 认证机制不恰当
阿里云安全产品覆盖情况